cURL
curl --request POST \ --url https://upay-sistema-api.onrender.com/api/payment-links/public/slug/{slug}/checkout \ --header 'Content-Type: application/json' \ --data ' { "product": "<string>", "amountCents": 2, "paymentMethod": "PIX", "clientEmail": "jsmith@example.com", "clientName": "<string>", "paymentLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "installments": 6, "dueDate": "2023-11-07T05:31:56Z", "trackingParams": {} } '
{ "message": "<string>", "transaction": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "displayId": "<string>", "product": "<string>", "amountCents": 123, "status": "<string>", "paymentMethod": "<string>", "client": {}, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "trackingParams": {} } }
Inicia o fluxo de checkout e cria uma transação
x >= 1
PIX
CREDIT_CARD
BOLETO
1 <= x <= 12
Parâmetros de rastreamento (UTMs como utm_source, utm_medium, utm_campaign, ou identificadores como fbclid, gclid, src)
Transação criada com sucesso
Show child attributes